Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě čte: 2962 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum

NápovědaCAD diskuze

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit a dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

Vykresova vlastnost do Uzivatelskej

 Odpovědět Odpovědět archiv
Autor
DM1 Zobrazit panel
Diskutér
Diskutér

Přihlášen: 14.čer.2015
Lokalita: Slovakia
Používám:
Inventor
Stav: Offline
Bodů: 26
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace DM1 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: Vykresova vlastnost do Uzivatelskej
    Zasláno: 04.bře.2017 v 19:43
Zdravim,
je mozne preniest vykresovu vlastnost napr. format, ktoru mam definovanu v razitku vykresu do uzivatelskej vlastnosti modelu resp. zostavy ktoru vlozim do vykresu?
Dakujem.
Zpět nahoru
maiklss Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 08.říj.2008
Lokalita: ČR (VY)
Používám:
Inventor
Stav: Offline
Bodů: 1165
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace maiklss Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 04.bře.2017 v 20:43
Asi by to šlo nastavit aby se kopirovala vlastnost třeba při uložení dokumentupomoci i-logic.
Když můžu pomůžu:)
Zpět nahoru
DM1 Zobrazit panel
Diskutér
Diskutér

Přihlášen: 14.čer.2015
Lokalita: Slovakia
Používám:
Inventor
Stav: Offline
Bodů: 26
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace DM1 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 04.bře.2017 v 20:46
V iLogic-u nie som zbehly len sa ucim, viete mi poradit, naviest ako by ta f-cia mala vyzerat? 

Upravil DM1 - 04.bře.2017 v 22:39
Zpět nahoru
maiklss Zobrazit panel
TOP uživatel
TOP uživatel
Avatar

Přihlášen: 08.říj.2008
Lokalita: ČR (VY)
Používám:
Inventor
Stav: Offline
Bodů: 1165
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace maiklss Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 04.bře.2017 v 20:50
Mě vše programuje kolega. Zeptam se ho v pondělí pokud vám neporadi někdo zde.
Když můžu pomůžu:)
Zpět nahoru
DM1 Zobrazit panel
Diskutér
Diskutér

Přihlášen: 14.čer.2015
Lokalita: Slovakia
Používám:
Inventor
Stav: Offline
Bodů: 26
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace DM1 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 05.bře.2017 v 15:08
Takze vyriesil som to nakoniec takto :

If ActiveSheet.Size = "A0" Then
iProperties.Value("Custom", "Format")="A0"
End If

If ActiveSheet.Size = "A1" Then
iProperties.Value("Custom", "Format")="A1"
End If

If ActiveSheet.Size = "A2" Then
iProperties.Value("Custom", "Format")="A2"
End If

If ActiveSheet.Size = "A3" Then
iProperties.Value("Custom", "Format")="A3"
End If

If ActiveSheet.Size = "A4" Then
iProperties.Value("Custom", "Format")="A4"
End If
Je potrebne ale definovat Custom properties napr. Format vo vykrese. Do modelu resp. zostavy to preniest zatial neviem.
Neviete aka f-cia v iLogicu je pre pocet listov a poradove cislo listu?


Upravil DM1 - 05.bře.2017 v 23:08
Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio a.s.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 780
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Navara Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 05.bře.2017 v 16:08
Počet listů se zjistí snadno takto:

ThisDrawing.Document.Sheets.Count

ale číslo aktuálního listu nedává smysl, protože těžko určíte, který list má brát v jako aktuální. Pokud to dokážete specifikovat, pak se dá najít i pořadové číslo.

Zpět nahoru
DM1 Zobrazit panel
Diskutér
Diskutér

Přihlášen: 14.čer.2015
Lokalita: Slovakia
Používám:
Inventor
Stav: Offline
Bodů: 26
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace DM1 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 05.bře.2017 v 23:05
Dakujem pomohlo.

Vyriesil som to takto : 


If ThisDrawing.Document.Sheets.Count Then
iProperties.Value("Custom", "Pocet listov") = ThisDrawing.Document.Sheets.Count
End If

Co sa tyka cisla listu, dalo by sa to definovat tak ze si vytvorim X Custom Properties napr Cislo listu 1 ... X
a v iLogicu definujem, ktory list cislo X sa ma prenasat do vybranej vlastnosti ? 

Na definovanie poradoveho cisla sluzi tato f-cia? 

ActiveSheet.Name

Zpět nahoru
Navara Zobrazit panel
CAD Studio support
CAD Studio support
Avatar
CAD Studio a.s.

Přihlášen: 08.zář.2008
Lokalita: ČR (Pha)
Používám:
Inventor
Stav: Offline
Bodů: 780
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace Navara Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 06.bře.2017 v 08:22
Tato kontrola je špatně, protože ověřujete hodnotu typu Integer jako Boolean. Navíc hodnota 
ThisDrawing.Document.Sheets.Count
je vždy větší, nebo rovna 1.
 
Ukázka zjištění čísla listu podle jeho názvu
Sub Main
 MsgBox(GetSheetIndex(ActiveSheet.Name))
End Sub
Function GetSheetIndex(activeSheetName As String) As Integer
    Dim drawing As DrawingDocument = ThisDrawing.Document
    Dim sheetIndex As Integer = 1
    For Each sheet As Sheet In drawing.Sheets
        If sheet.Name = activeSheetName Then
            Return sheetIndex
        Else
            sheetIndex += 1
        End If
    Next
    Return 0
End Function
 
 
Zpět nahoru
DM1 Zobrazit panel
Diskutér
Diskutér

Přihlášen: 14.čer.2015
Lokalita: Slovakia
Používám:
Inventor
Stav: Offline
Bodů: 26
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace DM1 Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 16.bře.2017 v 19:15
Dakujem, vyskusam. Este sa chcem spytat akym sposobom preniest cez iLogic napr. fyz. vlastnost Hmotnost do CustomProp vo vykrese. V peciatke ju mam zadefinovanu ako MASS no neviem ako to v Ilogicu sformulovat aby sa MASS ( po vlozeni nejakeho modelu) ked sa aktualizuje hodnota preniesla do danej CustomProp. 
Mam to takto ale v CustomProp sa to stale len prepise na Hodnotu Yes/No. Kde robim chybu? Dakujem.

If mass = iProperties.Mass Then
iProperties.Value("Custom", "Hmotnost") = mass = iProperties.Mass
End If
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,313 sekund.